import FreeCADGui as Gui
import FreeCAD as App
import os
import time

from kipy import KiCad

from . import settings

from . import api
from .copper import Copper
from . import board as Board
#from .parts import Parts

class Project:
    def __init__(self):
        start_time = time.time()
        self.board = None
        self.kicad_api = None
        self.kicad_project = None
        self.viewprovider = None

        feature = App.ActiveDocument.addObject('App::Part', 'KiConnect')
        feature.Type = 'KiConnect::Project'
        self.feature = feature

        feature.addProperty('App::PropertyTime', 'ProcessTime', 'KiConnect', 'Time to process Project', hidden=True, read_only=True)

        self.API = api.makeAPI(self.feature)

        feature.ProcessTime = time.time() - start_time

        App.ActiveDocument.recompute()
